ssossossosso

Forums

Covering OroCommerce topics, B2B eCommerce trends, community updates and company announcements.

This topic contains 5 replies, has 3 voices, and was last updated by Yevhen Shyshkin Yevhen Shyshkin 11 months ago.

  • Creator
    Topic
  • #2261

    nbraithers
    Participant

    Hi,

    I was wondering whether you could explain how to update to the new version. I’ve downloaded the new beta 5 branch, removed the dev and prod cache just in case and I get the error the error pasted below. This is a very similar error when I tried to upgrade from beta 3 to 4. I don’t want to have to start again every time, as it is very time consuming.

    Here’s the error:

Viewing 5 replies - 1 through 5 (of 5 total)
  • Author
    Replies
  • #2277

    nbraithers
    Participant

    Has anyone else had any luck installing the upgrade?

    #2283

    nbraithers
    Participant

    The lack of response on this forum when a new release has been issued is so disappointing. I really want to try and use this software going forward, but the lack of support is a real worry. I know that it is not in production, but the last two releases have broken the previous version when upgrading.

    Could someone form OroCommerce please be kind enough to provide some feedback on what I need to do to upgrade from version 4 to version 5 without issue.

    Many thanks in advance.

    Nick

    #2287

    Mordechai Danino
    Participant

    Hi Nick, I am sorry it took us time to get back to you.
    We have not seen this issue, upgrade from beta 4 to beta 5 works without any errors like that.
    Just to make sure, did you clean you cash before you started the upgrade?

    Thanks

    Motti

    #2300

    nbraithers
    Participant

    Here’s the steps I’ve followed…

    I started all over again from scratch. The current master on GitHub seems to be Beta 4 with a branch to Beta 5? You’ll have to forgive me as I am still trying to understand git and GitHub.

    So as I understand it, I successfully installed Beta 4 and the website loaded okay. I then cleared both the dev and prod caches. I downloaded the Beta 5 branch as a zip file, and inflated it over the existing files.

    I ran the composer install and it updated some files. There were references to the Beta 5 version so I thought that was promising.

    I tried to clear the prod cache again and received the following error:

    Fatal error: Class ‘Oro\Bundle\B2BEntityBundle\OroB2BEntityBundle’ not found in /home/acquires/public_html/app/cache/dev/bundles.php on line 93

    I got the same error if I tried to run the oro update function.

    I now remember that I had that error when I tried upgrading last time, so I found the lines in bundles.php removed them and it got past that error. However it then failed on the error in my original post.

    Could you please provide some step-by-step instructions for carrying out the upgrade, because if I’m pretty sure I have done it as expected and it’s not worked.

    Your help will be really appreciated.

    Nick

    #2307
    Yevhen Shyshkin
    Yevhen Shyshkin
    Oro Core

    Hello, nbraithers.

    First of all I’d like to excuse for this inconvenient situation – beta5 release still contains some minor issue, and update is one of them.

    Here is what you need to do to update from beta4 to beta5 – I did that locally and it worked (you might be interested in this manual starting from 4th item).

    1. Download, unpack beta4 from zip file https://github.com/orocommerce/orocommerce-application/releases/download/1.0.0-beta.4/orocommerce-application-1.0.0-beta.4.zip and fix app/config/parameters.yml
    2. Execute “composer run post-install-cmd”
    3. Do install via UI
    4. Remove vendors directory
    5. Download and copy files from beta5 https://github.com/orocommerce/orocommerce-application/releases/download/1.0.0-beta.5/orocommerce-application-1.0.0-beta.5.zip and fix app/config/parameters.yml
    6. Backup your DB
    7. Execute “composer run post-install-cmd”
    8. Appty patch https://gist.github.com/yshyshkin/f9b8632f86b652c92d97a93abf8d2bbc
    9. Execute “app/console oro:platform:upgrade20 –force –env=prod”

    Now, couple of things to explain:
    * patch adds some migrations that were missing in original beta5, after you’ll apply it you can verify manually that ShippingBundle migrations for v1_2 contains three files with the new content;
    * oro:platform:upgrade20 is used instead of oro:platform:update because of namespace migration, this command in fact proxies oro:platform:update and it will be removed in stable release.

Viewing 5 replies - 1 through 5 (of 5 total)

You must be logged in to reply to this topic.